---
output: html_document
---


# Reproducible Research

This repository provides resources for reproducible research.
It was created to help our team move towards reproducible research in our work as Knight Cancer Institute Biostatistics Shared Resource members and as statisticians in our other roles.

## Materials

### Intro to reproducible research

A slide deck on reproducible research can be found at these links:

- .Rmd [slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.Rmd](slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.Rmd)
- .md for github rendering [slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.Rmd](slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.Rmd)
- .html slides: 
[slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.html](slides-info-reproducible-research/intro-reproducible-research/repro-research-summary.html)

### Study Group

In 2016, BSR held a weekly study group to learn more reproducible research tools. We studied the following books:

- [Reproducible Research with R and RStudio – Gandrud](https://www.crcpress.com/Reproducible-Research-with-R-and-R-Studio/Gandrud/p/book/9781466572843)
- [Implementing Reproducible Research – Stodden, Leisch, Peng](https://www.crcpress.com/Implementing-Reproducible-Research/Stodden-Leisch-Peng/p/book/9781466561595)

The slides and other information are in the folder: [slides-info=reproducible-research/study-group-2016/](slides-info=reproducible-research/study-group-2016/)

## History

- June 22, 2016. A record of reproducibility accomplishments and notes has been added. [reproducible-research-aims.html](reproducible-research-aims.html)
- June 16, 2016. An updated version of presentation slides was presented by J Minnier at the BSR+CRAB retreat in Seattle. [Rpubs link](http://rpubs.com/minnier/repro-bsr-2016-06)
- April 20, 2016. Presentation slides were initially presented by J Minnier at the weekly meeting for BSR members. [Rpubs link](http://rpubs.com/minnier/repro-bsr)
- August 16, 2016. Some BSR Study Group slides are added, folders rearranged.
- September 7-9, 2016. More BSR Study Group slides and handouts added.
- September 20, 2016. Updated SOPs and checklist.
